<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_backupAndRestore_applianceRestore" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore">
    <section id="error_backuprestore" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    
    <form id="applianceRestoreForm" autocomplete="off">
    <p>
        <fmt:message key="backupandrestore.appliancerestore.help" />
    </p>
    <p>
        <fmt:message key="backupandrestore.appliancerestore.note" />
    </p>
	<!-- <p>
        <fmt:message key="backupandrestore.appliancerestore.scomMSFqdnStaticMsg" />
    </p> -->

    <section class="messageBox warning open" id="staticWarningBox" role="alert" style="display: block;padding: 0.5em !important">
        <header style="margin: 1.2em 0">
            <div style="padding: 1.5em 0px 0px 1em;">
                <span class="icon"></span>
            </div>
        </header>
        <div class="msgBoxContents">
            <p><fmt:message key="backupandrestore.appliancerestore.warning" /></p>
        </div>
    </section>

    <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="backupandrestore.appliancerestore.title" />
            </legend>
			<legend> 
				<fmt:message key="backupandrestore.appliancerestore.restoreusingiporpath" /> 
			</legend> 		
					
			<!--<ul class="labelValuePairs">
				<li>
					<input type="radio" id="usingIpAddress" name="usingIpAddress" class="value" value="ipAddress" data-bind="checked: restoreUsingIpOrPath" />
					<label for="usingIpAddress">
						<u>
							<fmt:message key="backupandrestore.appliancerestore.restoreusingipaddress" />
						</u>
					</label>
				</li>
	
				<li>
					<input type="radio" id="usingCustomPath" name="usingCustomPath" class="value" value="customPath" data-bind="checked: restoreUsingIpOrPath" />
					<label for="usingCustomPath">		
						<u> 
							<fmt:message key="backupandrestore.appliancerestore.restoreusingcustompath" /> 
						</u> 
					</label> 
				</li> 
               
                 <li>
                    <label for="userName">
                        <u>
                            <fmt:message key="backupandrestore.appliancerestore.username" />
                        </u>
                    </label>
                    <input id="userName" name="userName" required data-bind="value: username, event: { blur: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.trimUsernameText }" type="text" maxlength="59" pattern="^[0-9a-zA-Z ]{1,59}$" class="value" title='<fmt:message key="backupandrestore.appliancerestore.username.title" />' placeholder='<fmt:message key="backupandrestore.appliancerestore.username.hinttext" />'>
                </li>
                
                <li>
                    <label for="password">
                        <u>
                            <fmt:message key="backupandrestore.appliancerestore.password" />
                        </u>
                    </label>
                    <input id="password" name="password" required data-bind="value: password, event: { blur: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.trimPasswordText }" type="password" maxlength="59" title='<fmt:message key="backupandrestore.appliancerestore.password.title" />' class="value">
                </li>  
               
            </ul>
        </fieldset>
		<fieldset data-bind="enable: restoreUsingIpOrPath() == 'ipAddress', visible: restoreUsingIpOrPath() == 'ipAddress'">
			<ul class="labelValuePairs"> 
                      <li> 
                          <label for="ipAddress" data-bind="checked: restoreUsingIpOrPath"> 
                              <u> 
                                  <fmt:message key="backupandrestore.appliancerestore.ipaddress" /> 
                              </u> 
                          </label> 
                          <input id="ipAddress" type="text" value="" class="value" placeholder="192.168.1.10" data-bind="value: ipAddress, pattern: 'ipv4'" title="<fmt:message key="backupandrestore.appliancerestore.IPErrorMessage"/>" required /> 
        
                      </li> 
                  </ul> 
        </fieldset>--> 
        <!-- <fieldset data-bind="enable: restoreUsingIpOrPath() == 'customPath', visible: restoreUsingIpOrPath() == 'customPath'">  -->
		<fieldset>
                  <ul class="labelValuePairs"> 
                      <li> 
                          <label for="restorepath" data-bind="checked: restoreUsingIpOrPath"> 
                              <u> 
                                  <fmt:message key="backupandrestore.appliancerestore.restorepath" />
							&nbsp;<i class="tooltip-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="backupandrestore.appliancerestore.tooltip.restorepath" />'> </i> 
                              </u> 
                          </label> 
                          <input id="restorepath" type="text" value="" class="value" placeholder='<fmt:message key="backupandrestore.appliancerestore.restorepathplaceholder" />' data-bind="value: restorepath,event: { 
                                     keyup: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.disableRestoreAppliance, blur: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.validateRestorePath 
                                 }" required /> 
        
                      </li> 
                  </ul> 
        </fieldset> 
		<!-- <fieldset>
            <ul class="labelValuePairs">
                <li>
                    <label for="scomMSFqdn">
                        <u>
                            <fmt:message key="backupandrestore.appliancerestore.scomMSFqdn" />
                        </u>
                    </label>
                    <input id="scomMSFqdn" type="text" value="" data-bind="value: scomMSFqdn,
                           event: {
                               blur: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.trimScomMSFqdnText,
                               change: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.validateScomMSFqdn
                           }, valueUpdate: 'input'" class="value" maxlength="50"/>
                    <i style="display: inline; margin: 0; white-space: nowrap; font-size:23px;color:#007db8" class="cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="backupandrestore.appliancerestore.scomMSFqdnInfoMsg"/>' > </i>
                </li>
            </ul>
        </fieldset>-->
        <!-- <fieldset data-bind="enable: restoreUsingIpOrPath() == 'customPath', visible: restoreUsingIpOrPath() == 'customPath'">  --> 
        <fieldset>
                  <legend> 
                      <fmt:message key="credentialprofile.title" /> 
                  </legend> 
                  <ul class="labelValuePairs"> 
                      <li> 
                          <span class="label"> 
                              <u> 
                                  <fmt:message key="backupandrestore.appliancebackuprestore.credentialprofile" />
							&nbsp;<i class="tooltip-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="backupandrestore.appliancerestore.tooltip.credentialprofile" />'> </i> 
                              </u> 
                          </span> 
                          <span class="value"> 
                              <label for="credProfile" class="visuallyhidden"> 
                                      <u> 
                                          <fmt:message key="credentialprofile.title" /> 
                                      </u> 
                                  </label> 
                              <select id="credProfile" name="credProfile" required 
                                      data-bind="options: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.credentialProfiles, 
                                                  optionsText: 'name', 
                                                  optionsValue: 'id', 
                                                  value: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.consoleCredentialProfile, 
                                                  event: { 
                                                     change: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.disableRestoreAppliance 
                                                 }, 
                                      optionsCaption: '<fmt:message key="credentialprofile.selectcredentialprofile"/>' "></select> 
                              <a id="createCredentialProfileConsole" href="#/credentialProfile.editCredentialProfile"> 
                                      <fmt:message key="credentialprofile.createnew" /> 
                                  </a> 
                          </span> 
                      </li> 
                  </ul> 
        </fieldset> 
        <!-- <fieldset data-bind="enable: restoreUsingIpOrPath() == 'customPath', visible: restoreUsingIpOrPath() == 'customPath'">  --> 
        <fieldset>
                  <legend> 
                      <fmt:message key="backupandrestore.appliancerestore.verifyPathAuth" /> 
                  </legend> 
                  <ul class="labelValuePairs"> 
                      <li> 
                          <label for="restorepath"> 
                              <u> 
                                  <fmt:message key="backupandrestore.appliancerestore.verifyPassword" />
							&nbsp;<i class="tooltip-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="backupandrestore.appliancerestore.tooltip.verifyPassword" />'> </i> 
                              </u> 
                          </label> 
                          <input id="pathPassword" type="password" value="" required class="value" data-bind="value: pathPassword, event: { 
                                     keyup: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.disableRestoreAppliance, blur: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceRestore.trimPathPasswordText 
                                 }" /> 
        
                      </li> 
                 </ul> 
        </fieldset>
		
        <div class="sectionEditButtons">
			<button id="restoreTestConnection" class="cux-button cux-button-large cux-button-primary" type="submit" data-bind="enable: restorePathTestFlag() === false && restoreUsingIpOrPath() == 'customPath', visible: restorePathTestFlag() === false && restoreUsingIpOrPath() == 'customPath'"> 
                     <fmt:message key="backupandrestore.appliancerestore.action.testconnection" /> 
			</button>
            <button id="btnYes" class="cux-button cux-button-large cux-button-primary"  type="submit">
                <fmt:message key="backupandrestore.appliancerestore.restore" />
            </button>
            <button id="btnCancel" class="cux-button cux-button-large cux-button-danger"  type="button">
                <fmt:message key="backupandrestore.appliancerestore.cancel" />
            </button>
        </div>

    </form>
</section>
