<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_deenrollRecommendation" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Home">
    <section id="error_enrolldeenrollConsole" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
	<section>
		<p>The SCOM Management Group <span class="bold" data-bind="text: selectedConsole().mgName"></span> will be de-enrolled with the OMIMSSC appliance. <fmt:message key="consoleenrollment.deenrollconsole.recommendation.Info" /></p>
		<p>To view the progress of the de-enrollment job, go to the <b>Jobs and Logs</b> page. Under the <b>Running</b> tab, the <b>Progress Status</b> column lists the progress of the job</p>
		<div>
			<input id="goToTheJobList" type="checkbox" class="value" data-bind="checked: goToTheJobList" />
			<label for="goToTheJobList">
				<u>
					<fmt:message key="consoleenrollment.deenrollconsole.gotojoblist" />
				</u>
			</label>
		</div>
		<p>If the de-enrollment job takes more time to complete and is unable to complete successfully, or if the SCOM Management Server is not reachable when the de-enrollment is initiated, you can use the <b>Force De-enroll</b> option.</p>
	</section>
    <div class="sectionEditButtons">
        <button id="btnAccept" type="button" data-bind="click: performConsoleDeenrollment" class="cux-button cux-button-large cux-button-primary">
            <fmt:message key="consoleenrollment.deenrollconsole.apply" />
        </button>
        <button id="btnCancel" type="button" data-bind="click: deenrollClose" class="cux-button cux-button-large cux-button-danger">
            <fmt:message key="consoleenrollment.deenrollconsole.cancel" />
        </button>
    </div>
</section>
