<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_consoleEnrollment_apply" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.EnrollConsoleApply.enrollConsoleApplyModel">
    <section id="error_applyenrollConsole" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
	<!-- ko if: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.editFlag() === true -->
		<p id="changesInfo"></p>
	<!-- /ko -->
	<p>
		For the enrollment <span data-bind="text: consoleName" class="changesInfoText"></span>, the SCOM Management Servers are being enrolled to the OMIMSSC appliance for SCOM. The monitoring scope includes <span data-bind="text: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.EnrollConsoleApply.monitoringScopeSummary" class="changesInfoText"></span> in the <span data-bind="text: monitoringmode"  class="changesInfoText" style="text-transform: capitalize;"></span> monitoring mode.
	</p>
	</section>
    <section>
		<p id="jobDesc" style="display:none">
			<fmt:message key="consoleenrollment.wizard.introduction.step1.1.jobdescription" />&nbsp;<a id="jobHome" title="Jobs and Logs Center"><b>View</b></a> 
		</p>
	</section>
	<section id="status">
	<table class="table table-bordered table-striped">
	  <thead>
		<tr>
		  <th class="text-center">Enrollment Sub Tasks</th>
		  <th class="text-center">Status</th>
		</tr>
	  </thead>
	  <tbody data-bind="foreach: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.EnrollConsoleApply.taskStatusList">
		<tr>
		  <th class="text-nowrap" scope="row"><span class="applytask" data-bind="text: $data.subTaskName"></span></th>
		  <td>
			<span class="applystatus">
				<span class="not_started"  data-bind="class: ($data.subTaskStatus == 'SUCCESSFUL' || $data.subTaskStatus == 'FAILED') ? 'bold': '' , text: ($data.subTaskStatus == 'WAITING') ? 'Not Started' : $data.subTaskStatus""></span>
				<span id="statusIcon" data-bind="class:DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.EnrollConsoleApply.setTaskClass($data.subTaskStatus)"></span>
			</span>
		  </td>
		</tr>
	  </tbody>
	</table>
		<!-- <div data-bind="foreach: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.EnrollConsoleApply.taskStatusList">
			<span class="applytask" data-bind="text: $data.subTaskName"></span>
				<span class="applystatus">
					<span>[</span>
					<span class="not_started"  data-bind="class: ($data.subTaskStatus == 'SUCCESSFUL' || $data.subTaskStatus == 'FAILED') ? 'bold': '' , text: ($data.subTaskStatus == 'WAITING') ? 'Not Started' : $data.subTaskStatus""></span>
					<span id="statusIcon" data-bind="class:DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.EnrollConsoleApply.setTaskClass($data.subTaskStatus)"></span>
					<span>]</span>
				</span><br/>
		</div> -->	
	</section>
</section>
