<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_certificates_upload" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.Certificates.Uploadcertificate">
<section id="error_certificates_upload" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }"></section>
	<form id="uploadCertificateForm" autocomplete="off">
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="certificates.upload.title" />
            </legend>
            <div>
                <div class="certificateHelp">                    
					<i style="font-size: 48px;padding-right:1em" class="cux-icon cux-icon-warning-sign warning-color"></i>
                </div>
                <div>
                    <p>
                        <fmt:message key="certificates.upload.help" />
                    </p>
                </div>
            </div>
            <ul class="labelValuePairs">
                <li>	
				  <p>
						<fmt:message key="certificates.upload.select" />
				  </p>
				  <label for="uploadFileValue">
					  <u>
						  <fmt:message key="certificates.upload.file" />
					  </u>
				  </label>
				  <input id="uploadFileValue" type="text" readonly="true" placeholder="Choose File" data-bind="value: selectedFile">
				  <input type="file" id="selectedFile" data-bind="visible: false, event: { change: DellClarity.SCVMMAdmin.ViewModel.Certificates.Uploadcertificate.processFile }" accept=".pem, .crt, .cer, .key"/>
				  <a href="" id="clear"><fmt:message key="certificates.upload.clearfile" /></a>
				  <button type="button" class="cux-button cux-button-medium cux-button-primary" id="browseFiles"><fmt:message key="certificates.upload.browse" /></button>
				  <div></div>
                </li>
            </ul>
        </fieldset>
		<div class="sectionEditButtons">
			<button id="btnUpload" type="submit" class="cux-button cux-button-large cux-button-primary" data-bind="enable: !certificateFile()">
				<fmt:message key="certificates.upload" />
			</button>
			<button id="btnCancel" class="cux-button cux-button-large cux-button-danger" type="button">
				<fmt:message key="certificates.upload.cancel" />
			</button>
		</div>
    </form>
</section>
