<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_consoleEnrollment_home">
    <section>
		<p>
			<fmt:message key="consoleenrollment.wizard.introduction.description" /> 
		</p>
	</section>
	<table>
		<tbody>
			<tr>
				<td>
					<i style="font-size: 48px;/*35pt;*/ padding-right:1em" class="ci ci-nav-icon ci-config-settings3-core"></i>
				</td>
				<td>
					<h2><fmt:message key="consoleenrollment.wizard.introduction.step1.title" /></h2>
					<p><fmt:message key="consoleenrollment.wizard.introduction.step1.description" /></p>				
				</td>
			</tr>		
			<tr>
				<td>
					<i style="font-size: 48px;/*35pt;*/ padding-right:1em" class="cux-icon cux-icon-warning-sign"></i>
				</td>
				<td>
					<h2><fmt:message key="consoleenrollment.wizard.introduction.step2.title" /></h2>
					<p>
						<fmt:message key="consoleenrollment.wizard.introduction.step2.description" />
						<span class="configure">Ensure to follow <a data-bind="event: { click: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.enrollOnlineHelp}">these steps</a> after enrollment has been completed to configure the DARS and monitor Dell EMC devices.</span>
					</p>				
				</td>
			</tr>		
			<tr>
				<td>
					<i style="font-size: 48px;/*35pt;*/ padding-right:1em" class="ci ci-nav-icon ci-action-discover-search-core"></i>
				</td>
				<td>
					<h2><fmt:message key="consoleenrollment.wizard.introduction.step3.title" /></h2>
					<p><fmt:message key="consoleenrollment.wizard.introduction.step3.description" /><br/><span class="discoveryNote">NOTE: Refer to the <a data-bind="event: { click: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.enrollstep3OnlineHelp}">help</a> page for more information</span></p>				
				</td>
			</tr>			
		</tbody>
	</table>
</section>
